RESTinio

Private Types | List of all members
restinio::connection_count_limits::connection_count_limiter_t< default_strand_t > Class Reference

Implementation of connection count limiter for multi-threading mode. More...

`#include <connection_count_limiter.hpp>`

Inheritance diagram for restinio::connection_count_limits::connection_count_limiter_t< default_strand_t >:

## Private Types
using | base_t = connection_count_limits::impl::actual_limiter_t< std::mutex >

## Additional Inherited Members
Public Member Functions inherited from restinio::connection_count_limits::impl::actual_limiter_t< std::mutex >
| actual_limiter_t (not_null_pointer_t< acceptor_callback_iface_t > acceptor, max_parallel_connections_t max_parallel_connections, max_active_accepts_t max_pending_indexes)
| actual_limiter_t (const actual_limiter_t &)=delete
| actual_limiter_t (actual_limiter_t &&)=delete
void | increment_parallel_connections () noexcept
void | decrement_parallel_connections () noexcept
void | accept_next (std::size_t index) noexcept

## Detailed Description

Implementation of connection count limiter for multi-threading mode.

In multi-threading mode std::mutex is used for the protection of limiter object.

Since
  v.0.6.12

Definition at line 341 of file connection_count_limiter.hpp.

## Member Typedef Documentation

## ◆ base_t

using restinio::connection_count_limits::connection_count_limiter_t< default_strand_t >::base_t = connection_count_limits::impl::actual_limiter_t< std::mutex >
| private

Definition at line 344 of file connection_count_limiter.hpp.

The documentation for this class was generated from the following file:

- restinio/connection_count_limiter.hpp